package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 退费类型 (VIP vip退课，关闭,PRACTICE 网管课关闭,MUSIC 退团,GOODS 退商品)
 */
public enum ReturnFeeEnum implements BaseEnum<String, ReturnFeeEnum> {
	VIP("VIP", "VIP退学"),
	PRACTICE("PRACTICE", "网管课关闭"),
	MUSIC("MUSIC", "乐团退团"),
	GOODS("GOODS", "商品退费"),
	SUBJECT_CHANGE("SUBJECT_CHANGE", "声部更换"),
	CANCEL_ACTIVITY_COURSE("CANCEL_ACTIVITY_COURSE", "取消活动排课");

	private String code;

	private String msg;

	ReturnFeeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
